Unit tml08r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, ML08R_p;

function tml08r: String;

implementation

function tml08r: String;
var
_i :Integer;
NX :Array [0..3] of Integer;
XK :Array [0..3] of Real;
B :Array [0..15] of Real;
Z :Array [0..3] of Real;
const
A :Array [0..9] of Real = ( 1.0,2.0,1.0,2.0,1.0,2.0,3.0,5.0,1.0,1.0 );
NT :Array [0..3] of Integer = ( 3,3,3,1 );
T :Array [0..3] of Real = ( 1.0,2.0,3.0,-1.0 );
NS :Array [0..9] of Integer = ( 1,2,3,1,2,3,1,2,3,3 );
SUM :Array [0..3] of Real = ( -4.0,-5.0,-9.0,-1.0 );
ALFA :Array [0..1] of Real = ( 2.0,3.0 );
NALFA :Array [0..1] of Integer = ( 1,3 );
KV :Integer = 2;
DA :Integer = 10;
X :Array [0..3] of Real = ( 15.0,20.0,10.0,0.0 );
P :Integer = 1;
M :Integer = 4;
N :Integer = 4;
EPS :Real = 0.01;
begin
for _i:=0 to 3 do
 NX[_i] := 0;
Result := '';  {   }
ML08R(A,NS,DA,B,M,T,NT,N,SUM,X,P,EPS,XK,
     Z,ALFA,KV,NALFA,NX);
Result := Result + Format('%s',['  NX, X, NALFA, ALFA' + #$0D#$0A]);
Result := Result + #$0D#$0A;
for _i:=0 to 3 do
 begin
  Result := Result + Format('%4d ',[NX[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 3 do
 begin
  Result := Result + Format('%20.16f ',[X[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%8d ',[NALFA[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%20.16f ',[ALFA[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tml08r',Result);  {     tml08r.res }
end;

end.
